<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	
    <title>Administration Portal</title>
     <link href="styles/global.css" media="screen,print" rel="stylesheet" type="text/css" />
    
    <!--[if lt IE 8.]>
	<link href="styles/global.ie7.css" rel="stylesheet" type="text/css" />
	<![endif]-->
    
    <!--[if gte IE 8]>
	<link href="styles/global.ie8.css" rel="stylesheet" type="text/css" />
	<![endif]-->
    
    <!-- prevents somewhat flickering issue when changing pages in IE -->
    <!--[if IE]>
	<meta http-equiv="Page-Exit" content="Alpha(opacity=100)" />
	<![endif]-->
    
    <link href="custom/styles/custom.css" media="screen,print" rel="stylesheet" type="text/css" />
    
    <script src="scripts/libraries/prototype.js" type="text/javascript"></script>
    <script src="scripts/libraries/scriptaculous/scriptaculous.js" type="text/javascript"></script>
    <script src="scripts/sessionizer.js" type="text/javascript"></script>
    <script src="scripts/libraries/prototypextensions.js" type="text/javascript"></script>
    
    <!-- sort table library - customized to match site specific tables -->
    <script src="scripts/libraries/sorttable.js" type="text/javascript"></script>
    
    <script src="scripts/global.js" type="text/javascript"></script>
    <script src="scripts/navigation.js" type="text/javascript"></script>
    <script src="scripts/spectre.js" type="text/javascript"></script>
    
    <script src="custom/scripts/custom.js" type="text/javascript"></script>
    
    <script src="config/url.js" type="text/javascript"></script>
    <script src="config/url.js" type="text/javascript"></script>
    <script type="text/javascript">
    	function checkQueryString(){
        	var url = "";
    		var querystring = document.location.href;
    		if(querystring.indexOf("?")!= -1 ){
    			querystring = querystring.split("?");
				if(querystring.length == 2){
					url = querystring[0];
					querystring = querystring[1].split("&");
					if(querystring.length > 0){
						//Only considering the first parameter.
						querystring = querystring[0].split("=");
						if(querystring.length == 2){
							var key = querystring[0];
							var value = querystring[1];
							if(key == 'timeout' && value == 'true'){
								alert('The server session was timed-out.');
								window.location.href = url;
							}
						}
					}
				}
    			
    		}
    					    		     		
    	}
    	function postLoginRequest(){
    	    postLogin.post();
    	}
    	
   </script>
</head>
<body onload="checkQueryString();">
    <form id="loginForm" action="javascript:postLoginRequest();" method="post">
    <div class="login">
        <div class="loginTop">
        </div>
        <div class="loginCenter loginSmall">
            <div class="loginLogo">
            </div>
            <div class="applicationName">
            </div>
            <div class="clear">
            </div>
            <div id="loginContainer" class="loginInner">
                <div id="loginTitle">
                    Login</div>
                <div class="hr">
                </div>
                <div class="loginProgress">
                    <div id="loginProgressText">
                        Verifying Credentials</div>
                </div>
                <div class="loginErrorIcon">
                    <div id="loginErrorTitle">Login Failed
                        </div>
                    <div id="loginErrorMessage">Password is incorrect.
                        </div>
                </div>
                <div class="loginTable">
                    <table>
                        <tr>
                            <td colspan="2">
                                <span id="loginMessageText">Enter Password below:</span>
                            </td>
                        </tr>
                         <tr class="loginInputs">
                            <td>
                                <input type="password" id="j_password" name="j_password"/>
                                <input type="hidden" id="userName" name="userName" value="admin"/>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="hr">
                </div>
                <div class="loginbuttons">
                    <button type="submit" value="Login" class="blkButton blkButtonEmphasized2" onclick="return postLogin.post();">
                        <span id="loginText">Login</span></button>
<!--                    <button type="reset" value="reset" class="blkButton" onclick="postLogin.cancel();">-->
<!--                        <span id="cancelText">Cancel</span></button>-->
                </div>
                <div class="logintryagain">
                    <button type="submit" value="Login" class="blkButton" onclick="return postLogin.tryAgain();">
                        <span id="againText">Try Again</span></button>
                </div>
            </div>
        </div>
        <div class="loginBottom">
        </div>
    </div>
      <!-- @CSRF -->
    <input type="hidden" value="" name="secretKey" id="fldSecretKey" style="behavior:url('#default#userdata')" />
    </form>
</body>
</html>
